{
   "format_version":"1.12",
   "minecraft:recipe_furnace":{
      "description":{
         "identifier":"minecraft:cooked_tin_of_spam"
      },
      "tags":[
         "furnace",
         "smoker"
      ],
      "input":"true:tin_of_spam",
      "output":"true:cooked_tin_of_spam"
   }
}